org.icefaces.ace.component.multicolumnsubmenu

## Enum MultiColumnSubmenuBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<MultiColumnSubmenuBase.PropertyKeys>
  - - org.icefaces.ace.component.multicolumnsubmenu.MultiColumnSubmenuBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MultiColumnSubmenuBase.PropertyKeys>
  Enclosing class:
    MultiColumnSubmenuBase

      protected static enum MultiColumnSubmenuBase.PropertyKeys
      extends java.lang.Enum<MultiColumnSubmenuBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `disabled`
    `footerClass`
    `headerClass`
    `icon`
    `label`
    `positionLeft`
    `positionTop`
    `relativeTo`
    `style`
    `styleClass`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static MultiColumnSubmenuBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MultiColumnSubmenuBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### disabled

          public static final MultiColumnSubmenuBase.PropertyKeys disabled

    - #### footerClass

          public static final MultiColumnSubmenuBase.PropertyKeys footerClass

    - #### headerClass

          public static final MultiColumnSubmenuBase.PropertyKeys headerClass

    - #### icon

          public static final MultiColumnSubmenuBase.PropertyKeys icon

    - #### label

          public static final MultiColumnSubmenuBase.PropertyKeys label

    - #### positionLeft

          public static final MultiColumnSubmenuBase.PropertyKeys positionLeft

    - #### positionTop

          public static final MultiColumnSubmenuBase.PropertyKeys positionTop

    - #### relativeTo

          public static final MultiColumnSubmenuBase.PropertyKeys relativeTo

    - #### style

          public static final MultiColumnSubmenuBase.PropertyKeys style

    - #### styleClass

          public static final MultiColumnSubmenuBase.PropertyKeys styleClass

  - ### Method Detail

    - #### values

          public static MultiColumnSubmenuBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MultiColumnSubmenuBase.PropertyKeys c : MultiColumnSubmenuBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MultiColumnSubmenuBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<MultiColumnSubmenuBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.